zipios::ZipOutputStream Class Reference

ZipOutputStream is an ostream that writes the output to a zip file. More...

`#include <zipoutputstream.h>`

Inheritance diagram for zipios::ZipOutputStream:
[legend]

## Public Member Functions

| ZipOutputStream (std::ostream &os)
| ZipOutputStream constructor.
| ZipOutputStream (const std::string &filename)
| ZipOutputStream constructor.
void | closeEntry ()
| Closes the current entry updates its header with the relevant size information and positions the stream write pointer for the next entry header.
void | close ()
| Calls finish and if the ZipOutputStream was created with a filename as a parameter that file is closed as well.
void | finish ()
| Closes the current entry (if one is open), then writes the Zip Central Directory Structure closing the ZipOutputStream.
void | putNextEntry (const ZipCDirEntry &entry)
| Begins writing the next entry.
void | putNextEntry (const std::string &entryName)
| Begins writing the next entry.
void | setComment (const std::string &comment)
| Sets the global comment for the Zip archive.
void | setLevel (int level)
| Sets the compression level to be used for subsequent entries.
void | setMethod (StorageMethod method)
| Sets the compression method to be used.
virtual | ~ZipOutputStream ()
| Destructor.

## Detailed Description

ZipOutputStream is an ostream that writes the output to a zip file.

The interface approximates the interface of the Java ZipOutputStream.

Definition at line 18 of file zipoutputstream.h.

## Constructor & Destructor Documentation

## ZipOutputStream() [1/2]

zipios::ZipOutputStream::ZipOutputStream | ( | std::ostream & | os | ) |

explicit

ZipOutputStream constructor.

Parameters

  os | ostream to which the compressed zip archive is written.
  pos | position to reposition the ostream to before reading.

Definition at line 13 of file zipoutputstream.cpp.

## ZipOutputStream() [2/2]

zipios::ZipOutputStream::ZipOutputStream | ( | const std::string & | filename | ) |

explicit

ZipOutputStream constructor.

@filename filename to write the zip archive to.

Definition at line 24 of file zipoutputstream.cpp.

## ~ZipOutputStream()

zipios::ZipOutputStream::~ZipOutputStream | ( |  | ) |

virtual

Destructor.

Definition at line 74 of file zipoutputstream.cpp.

## Member Function Documentation

## close()

void zipios::ZipOutputStream::close | ( |  | ) |

Calls finish and if the ZipOutputStream was created with a filename as a parameter that file is closed as well.

If the ZipOutputStream was created with an ostream as its first parameter nothing but the call to finish happens.

Definition at line 38 of file zipoutputstream.cpp.

## closeEntry()

void zipios::ZipOutputStream::closeEntry | ( |  | ) |

Closes the current entry updates its header with the relevant size information and positions the stream write pointer for the next entry header.

Puts the stream in EOF state. Call putNextEntry() to clear the EOF stream state flag.

Definition at line 33 of file zipoutputstream.cpp.

## finish()

void zipios::ZipOutputStream::finish | ( |  | ) |

Closes the current entry (if one is open), then writes the Zip Central Directory Structure closing the ZipOutputStream.

The output stream that the zip archive is being written to is not closed.

Definition at line 45 of file zipoutputstream.cpp.

## putNextEntry() [1/2]

void zipios::ZipOutputStream::putNextEntry | ( | const std::string & | entryName | ) |

Begins writing the next entry.

Definition at line 54 of file zipoutputstream.cpp.

## putNextEntry() [2/2]

void zipios::ZipOutputStream::putNextEntry | ( | const ZipCDirEntry & | entry | ) |

Begins writing the next entry.

Definition at line 50 of file zipoutputstream.cpp.

## setComment()

void zipios::ZipOutputStream::setComment | ( | const std::string & | comment | ) |

Sets the global comment for the Zip archive.

Definition at line 59 of file zipoutputstream.cpp.

## setLevel()

void zipios::ZipOutputStream::setLevel | ( | int | level | ) |

Sets the compression level to be used for subsequent entries.

Definition at line 64 of file zipoutputstream.cpp.

## setMethod()

void zipios::ZipOutputStream::setMethod | ( | StorageMethod | method | ) |

Sets the compression method to be used.

only STORED and DEFLATED are supported.

Definition at line 69 of file zipoutputstream.cpp.

The documentation for this class was generated from the following files:

- zipoutputstream.h
- zipoutputstream.cpp